# GetWebhookSubscription

Get details of a subscription

`GET /webhooks/subscriptions/{subscription-id}`

**API:** Avalara E-Invoicing API
**Tag:** Subscriptions
**API Version:** 1.3
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.3/methods/Subscriptions/GetWebhookSubscription/

## Description

Retrieve details of a specific subscription.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `subscription-id` | string | path | Yes |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Subscription details retrieved successfully | `SubscriptionDetail` |
| 401 | Not authenticated | `WebhooksErrorResponse` |
| 403 | Access token does not have the required scope | `WebhooksErrorResponse` |
| 404 | Subscription not found | `WebhooksErrorResponse` |

## Example Request

```bash
curl -X GET "https://api.sbx.avalara.com/einvoicing/webhooks/subscriptions/{subscription-id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```